package com.ruoyi.export.service;

import com.ruoyi.export.domain.ExportCarousel;
import com.ruoyi.export.domain.vo.ExportCarouselVo;
import com.ruoyi.export.domain.bo.ExportCarouselBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 轮播图Service接口
 *
 * @author ruoyi
 * @date 2025-07-16
 */
public interface IExportCarouselService {

    /**
     * 查询轮播图
     */
    ExportCarouselVo queryById(Long carouselId);

    /**
     * 查询轮播图列表
     */
    TableDataInfo<ExportCarouselVo> queryPageList(ExportCarouselBo bo, PageQuery pageQuery);

    /**
     * 查询轮播图列表
     */
    List<ExportCarouselVo> queryList(ExportCarouselBo bo);

    /**
     * 新增轮播图
     */
    Boolean insertByBo(ExportCarouselBo bo);

    /**
     * 修改轮播图
     */
    Boolean updateByBo(ExportCarouselBo bo);

    /**
     * 校验并批量删除轮播图信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
